<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- ================= -->
	<!-- == FORMULARIOS == -->
	<!-- ================= -->
	<form-beans>
	
		<form-bean
				name="w83bMigracion"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="w83bMigracionBean" type="w83b.w83bBeans.W83bMigracionBean"/>
				
		</form-bean>
		<!-- =========== -->
		<!-- El contexto -->
		<!-- =========== -->
			
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
				
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.migracion"/>
				<form-property name="strTitleKey" type="java.lang.String" initial=""/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="migas" type="java.lang.String" initial ="inicio.datosMinisterio"/>								
				<form-property name="w83bPerfilUsuario" type="java.lang.String" initial=""/>
				<form-property name="w83bCodTerritUsuario" type="java.lang.String" initial=""/>
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bMigracion[w83bMigracionBean]"/>
				
		</form-bean>
	
	</form-beans>
	<!-- ============== -->
	<!-- == ACCIONES == -->
	<!-- ============== -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!-- =============== -->
		<!-- Mostrar paginas -->
		<!-- =============== -->
		<action
				path ="/w83bInicioMigracion" forward="paginaMigracion"/>
				
		<action
				path ="/w83bInicioUtilidades" forward="/w83bPaginaInicioUtilidades.do"/>
				
		<action
				path ="/w83bPaginaInicioUtilidadesMedio" forward="paginaInicioUtilidadesComun"/>
		
		
		<!-- =============== -->
		<!-- Dispatch menus -->
		<!-- =============== -->
			<action
				path="/w83bDispatchMigracion"
				name="w83bMigracion"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.migracion.generar"
					path="/w83bInicioMigracionOP.do"/>
		</action>
		
		
		
		<!-- =============== -->
		<!-- INICIO -->
		<!-- =============== -->
		<action path="/w83bInicioMigracionOP" scope="request"  type="w83b.w83bOperacionesPaso.w83bMigracion.W83bMigracionOPAction"
			 name="w83bDatosMinisterio" validate="false" >
			<forward name="ok" path="/w83bGenerarMigracion.do"/>
			<forward name="error" path="/w83bMigracion.do"/>
		</action>
		
		
		<action path ="/w83bGenerarMigracion" 
			 parameter="w83bGenerarMigracionOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bMigracion.do" />
					<forward name="error" path="/w83bMigracion.do" />
		</action>
		
	</action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-motivosbajaacta.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>